#
# spec file for package python3-ec2imgutils
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define upstream_name ec2imgutils

Name:           python3-ec2imgutils
Version:        7.0.5
Release:        lp151.2.3.1
Summary:        Image management utilities for AWS EC2
License:        GPL-3.0-or-later
Group:          System/Management
Url:            https://github.com/SUSE-Enceladus/ec2imgutils
Source0:        %{upstream_name}-%{version}.tar.bz2
Requires:       python3
Requires:       python3-boto3 >= 1.4.1
Requires:       python3-dateutil
Requires:       python3-paramiko
BuildRequires:  python3-boto3 >= 1.4.1
BuildRequires:  python3-dateutil
Requires:       python3-paramiko
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

# Package renamed in SLE 12 do not remove Provides, Obsolete
# directives until after SLE 12 EOL
Provides:       python-ec2utilsbase = %{version}
Obsoletes:      python-ec2utilsbase < %{version}
Provides:       python-ec2deprecateimg = %{version}
Obsoletes:      python-ec2deprecateimg < %{version}
Provides:       python-ec2publishimg = %{version}
Obsoletes:      python-ec2publishimg < %{version}
Provides:       python-ec2uploadimg = %{version}
Obsoletes:      python-ec2uploadimg < %{version}

# Package rename in SLE 15 GA do not remove Provides, Obsolete
# directives until after SLE 15 SP3 EOL
Provides:       python3-ec2utilsbase = %{version}
Obsoletes:      python3-ec2utilsbase < %{version}
Provides:       python3-ec2deprecateimg = %{version}
Obsoletes:      python3-ec2deprecateimg < %{version}
Provides:       python3-ec2publishimg = %{version}
Obsoletes:      python3-ec2publishimg < %{version}
Provides:       python3-ec2uploadimg = %{version}
Obsoletes:      python3-ec2uploadimg < %{version}

%description
A collection of image manipulation utilities for AWS EC2. These include:
- ec2deprecateimg: Deprecates images by applying tags per convention
- ec2publishimg: Set image visibility
- ec2uploadimg: Upload an image to AWS EC2

%prep
%setup -q -n %{upstream_name}-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_mandir}/man1
install -m 644 man/man1/* %{buildroot}/%{_mandir}/man1
gzip %{buildroot}/%{_mandir}/man1/*

%files
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{_mandir}/man*/*
%dir %{python3_sitelib}/ec2imgutils
%{python3_sitelib}/*
%{_bindir}/*

%changelog
* Mon Aug  5 2019 Robert Schweikert <rjschwei@suse.com>
- Update to version 7.0.5 (bsc#1144357, 1144358)
  + Avoid name collision when creating a security group with a
    generated nmae.
* Wed Dec 19 2018 Robert Schweikert <rjschwei@suse.com>
- Update to version 7.0.4
  + Fix traceback in ec2rmimg due to variable name issue
  + Use proper subnet when no default exists in user account
  + Properly enforce use of machine argument and support ARM (bsc#1118027)
* Fri Nov 16 2018 Robert Schweikert <rjschwei@suse.com>
- Fix build issue, tarball had missing files
* Thu Nov 15 2018 Robert Schweikert <rjschwei@suse.com>
- Update to version 7.0.3
  + General improvements, latent bug fixes
* Fri Nov  9 2018 Robert Schweikert <rjschwei@suse.com>
- Update to version 7.0.2
  + Fix syntax error in ec2deprecateimg, ec2publishimg, ec2removeimg
* Fri Nov  9 2018 Robert Schweikert <rjschwei@suse.com>
- Update to version 7.0.1
  + Fix syntax error in ec2uploadimg
* Tue Nov  6 2018 Robert Schweikert <rjschwei@suse.com>
- Update to version 7.0.0
  + Complete ec2removeimg implementation
  + Ready for release and replacement of individual packages
* Thu Nov  1 2018 Robert Schweikert <rjschwei@suse.com>
- Update to version 6.9.99
  + Initial implementation of ec2removeimg
* Thu Sep 27 2018 Robert Schweikert <rjschwei@suse.com>
- Initial build
  + Version 6.9.98
  + First consolidation build of ec2deprecateimg, ec2publishimg, ec2uploadimg
